public class List<T> {
    Link<T> first = LinkFactory.create(); 

    // Returns the number of times element is in the list
    int occurrences(T element) {
        return this.first.occurrences(element);
    }

    // Returns the size of the list
    int size() {
        return this.first.size();
    }

    // Prepends to the list
    void prepend(T element) {
        this.first = new Link(element, this.first);
    }

    // Removes the first occurrence of element from the list 
    void remove(T element) {
        this.first = this.first.remove(element);
    }
    
}
