public class Driver {
    public static void main(String args[])
    {
        List<String> x = new List<String>();
        assert x.size() == 0;
        assert x.occurrences(null) == 0;

        x.prepend("x");
        x.prepend("y");
        x.prepend("y");
        assert x.occurrences("x") == 1;
        assert x.occurrences("y") == 2;
        assert x.size() == 3;
        assert x.occurrences("z") == 0;
        x.remove("x");
        assert x.size() == 2;
        assert x.occurrences("x") == 0;
        x.remove("y");
        assert x.size() == 1;
        assert x.occurrences("y") == 1;
        x.remove("y");
        assert x.size() == 0;
        assert x.occurrences("y") == 0;

        x.prepend("z");
        assert x.occurrences("z") == 1;
        assert x.size() == 1;

        List<Object> y = new List<Object>();
        assert y.size() == 0;
        assert y.occurrences(null) == 0;

        Object a = new Object();
        Object b = new Object();
        Object c = new Object();

        y.prepend(a);
        y.prepend(a);
        y.prepend(b);
        y.prepend(b);
        assert y.occurrences(a) == 2;
        assert y.occurrences(b) == 2;
        assert y.size() == 4;
        assert y.occurrences(c) == 0;

        y.prepend(c);
        assert y.occurrences(c) == 1;
        assert y.size() == 5;

        y.remove(a);
        y.remove(b);
        y.remove(c);
        assert y.occurrences(a) == 1;
        assert y.occurrences(b) == 1;
        assert y.occurrences(c) == 0;
        assert y.size() == 2;
    }
}
